### Constructor

# Foundry WebIntent new

#### Declaration [src]

    FoundryIntent*
    foundry_web_intent_new (
      const char* uri
    )

#### Description [src]

Creates a new `FoundryWebIntent` for opening a URI in a web browser.

The URI is stored as a plain UTF-8 string without any parsing or processing.

#### Parameters

`uri`

  Type: `const char*`

  A UTF-8 encoded URI string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryIntent`

A new `FoundryWebIntent`.

The caller of the function takes ownership of the data, and is responsible for freeing it.